Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sources-register-literature.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sources-register-literature.component.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sources-register-literature.component.ts	(nonexistent)
@@ -1,12 +0,0 @@
-import {Component, OnInit} from '@angular/core';
-
-@Component ({
-  selector:'app-search-register-literature',
-  templateUrl: 'sources-register-literature.component.html'
-})
-
-export class SourcesRegisterLiteratureComponent implements OnInit {
-  constructor() {}
-
-  ngOnInit() {}
-}
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sources-register-literature.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sources-register-literature.component.html	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sources-register-literature.component.html	(nonexistent)
@@ -1,31 +0,0 @@
-                <div class="wizard">
-                  <div class="wizardBreadcrumbs">
-                    <div class="steps clearfix">
-                      <div class="step active">
-                        <div class="gwt-HTML">
-                          Select repository
-                          <span></span>
-                        </div>
-                      </div>
-                      <div class="step">
-                        <div>
-                          Enter Information
-                          <span></span>
-                        </div>
-                      </div>
-                      <div class="step">
-                        <div>
-                          Add Interfaces
-                          <span></span>
-                        </div>
-                      </div>
-                      <div class="step">
-                        <div>
-                          Finish
-                          <span></span>
-                        </div>
-                      </div>
-                    </div>
-                  </div>
-                </div>
-
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sr-literature.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sr-literature.component.html	(nonexistent)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sr-literature.component.html	(revision 50139)
@@ -0,0 +1,120 @@
+<div class="uk-grid uk-grid-stack">
+  <div class="uk-width-expand@m uk-first-column">
+    <div class="gwt-HTML uk-margin-medium-bottom">
+      <h1 class="uk-article-title">Register your datasource</h1>
+    </div>
+    <div class="wizard">
+      <div class="wizardBreadcrumbs">
+        <div class="steps clearfix">
+          <div class="step active">
+            <div class="gwt-HTML">
+              Select repository
+              <span></span>
+            </div>
+          </div>
+          <div class="step">
+            <div>
+              Enter Information
+              <span></span>
+            </div>
+          </div>
+          <div class="step">
+            <div>
+              Add Interfaces
+              <span></span>
+            </div>
+          </div>
+          <div class="step">
+            <div>
+              Finish
+              <span></span>
+            </div>
+          </div>
+        </div>
+      </div>
+      <div class="content">
+        <div>
+          <div>
+            <div class="animated fadeInRight stepContent">
+              <div class="alert alert-danger" *ngIf="showAlert">
+                You need to select a repository first.
+              </div>
+              <div class="alert alert-info">
+                Please make sure your repository is registered in
+                <a target="_blank" href="http://www.opendoar.org">
+                  <i class="fa fa-external-link" style="margin-right:3px;"></i>
+                    OpenDOAR
+                </a>
+                . <br>
+                <b>Last Updated: </b>
+                <!-- WHERE WILL THIS DATE COME FROM??? -->
+                2017-12-11
+              </div>
+              <div>
+                <div class="form-group">
+                  <label class="control-label">Select repository's country</label>
+                  <select class="form-control" (change) ="getReposInCountry($event.target.value, 'opendoar')" >
+                    <option value="" disabled>-- none selected --</option>
+                    <option *ngFor="let country of countries" value="{{ country.name }}">{{ country.name }}</option>
+                  </select>
+                </div>
+                <div class="form-group">
+                  <label class="control-label">Start typing in the name of your repository to narrow down the view</label>
+                  <input class="form-control" type="text"/>
+                </div>
+              </div>
+              <div *ngIf="hasSelectedCountry">
+                <div>
+                  <h2>OpenDOAR Repositories in {{ selectedCountry }}</h2>
+                </div>
+                <div class="alert alert-warning" *ngIf="noRepositories">No repositories found</div>
+                <div class="repositoriesRadioButtonForm" *ngIf="!noRepositories">
+                  <label class="btn btn-link" *ngFor="let repo of countryRepos" style="display: block; text-align: left;">
+                    <input type="radio" value="{{ repo.id }}" (change)="chooseRepository()">
+                    <span>
+                      {{ repo.description }}
+                      <a target="_blank" href="{{repo.websiteUrl }}">
+                        <i class="fa fa-external-link externalLink"></i>
+                      </a>
+                    </span>
+                  </label>
+                </div>
+              </div>
+            </div>
+          </div>
+        </div>
+      </div>
+      <div class="wizardActions">
+        <button class="btn btn-grey-light" type="button" (click)="goToNextStep()">
+          Next
+          <i class="fa fa-angle-double-right"></i>
+        </button>
+      </div>
+    </div>
+  </div>
+  <div class="tm-sidebar uk-width-1-4@m">
+    <div>
+      <div class="uk-card uk-card-body uk-card-default sidemenu">
+        <h3 class="el-title uk-h3 uk-heading-bullet">Info</h3>
+        <p class="small">
+          Use the form on the right to add your repository or journal in OpenAIRE. If you want to find more information about this process
+          <!-- TARGET FILE MISSING! jsps/manuals/user-manual.pdf -->
+          <a target="_blank" href="#">click here</a>
+          .
+        </p>
+        <div class="alert alert-warning small">
+          The official repository/journal administrator (his/her email address being retrieved from the OAI-PMH verb
+          <b>Identify</b>
+          ) will be contacted and informed about registration request. So please make sure that you are either this person or have access to the email address, or that you have notified them.
+        </div>
+        <p class="small">
+          For any problems or questions please contact the
+          <a class="external" target="_blank" href="https://www.openaire.eu/support/helpdesk" >
+            OpenAIRE helpdesk
+          </a>
+          .
+        </p>
+      </div>
+    </div>
+  </div>
+</div>
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sr-literature.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sr-literature.component.ts	(nonexistent)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register/sr-literature.component.ts	(revision 50139)
@@ -0,0 +1,69 @@
+/*
+*  created by myrto on 12/12/2017
+*/
+
+import { Component, OnInit } from '@angular/core';
+import { Country, Repository } from '../../../domain/typeScriptClasses';
+import { RepositoryService } from '../../../services/repository.service';
+
+@Component ({
+  selector:'app-sr-literature',
+  templateUrl: 'sr-literature.component.html'
+})
+
+export class SRLiteratureComponent implements OnInit {
+  countries: Country[] = [];
+  hasSelectedCountry: boolean;
+  selectedCountry: string;
+  countryRepos: Repository[] = [];
+  noRepositories: boolean;
+  hasSelectedRepo: boolean;
+  showAlert: boolean;
+
+
+  constructor(private repoService:RepositoryService) {}
+
+  ngOnInit() {
+    this.getCountries();
+    this.hasSelectedCountry = false;
+    this.selectedCountry = '';
+    this.noRepositories = false;
+    this.showAlert = false;
+  }
+
+  getCountries(){
+    this.repoService.getCountries()
+      .subscribe(countries => this.countries = countries.sort( function(a,b){
+        if(a.name<b.name){
+          return -1;
+        } else if(a.name>b.name){
+          return 1;
+        } else {
+          return 0;
+        }
+      } ));
+  }
+
+  getReposInCountry(country: string, mode: string){
+    console.log(`I got ${country} and ${mode}`);
+    this.hasSelectedCountry = true;
+    this.selectedCountry = country;
+//    this.repoService.getRepositoriesOfCountry(country,mode).subscribe(repos => this.countryRepos = repos);
+    if(!this.countryRepos.length){
+      this.noRepositories = true;
+    }
+  }
+
+  chooseRepository(){
+    this.hasSelectedRepo = true;
+    this.showAlert = false;
+  }
+
+  goToNextStep(){
+    if(!this.hasSelectedRepo || this.noRepositories){
+      this.showAlert = true;
+    } else {
+      //move to the next step
+    }
+  }
+}
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register.component.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-register.component.ts	(revision 50139)
@@ -1,5 +1,10 @@
-import {Component, EventEmitter, OnInit, Output} from '@angular/core';
+/*
+*  created by myrto
+*/
 
+
+import { Component, OnInit } from '@angular/core';
+
 @Component ({
   selector: 'app-sources-register',
   templateUrl: 'sources-register.component.html'
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources.module.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources.module.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources.module.ts	(revision 50139)
@@ -1,12 +1,16 @@
-import {NgModule} from '@angular/core';
-import {SourcesRouting} from './sources.routing';
-import {SourcesComponent} from './sources.component';
-import {SourcesRegisterComponent} from './sources-register.component';
-import {CommonModule} from '@angular/common';
-import {TabsModule} from 'ngx-bootstrap';
-import {SourcesUpdateComponent} from "./sources-update.component";
-import {SourcesRegisterLiteratureComponent} from './sources-register/sources-register-literature.component';
+/*
+*  created by myrto
+*/
 
+import { NgModule } from '@angular/core';
+import { SourcesRouting } from './sources.routing';
+import { SourcesComponent } from './sources.component';
+import { SourcesRegisterComponent } from './sources-register.component';
+import { CommonModule } from '@angular/common';
+import { TabsModule } from 'ngx-bootstrap';
+import { SourcesUpdateComponent } from './sources-update.component';
+import { SRLiteratureComponent } from './sources-register/sr-literature.component';
+
 @NgModule ({
   imports: [
     CommonModule,
@@ -17,7 +21,7 @@
     SourcesComponent,
     SourcesRegisterComponent,
     SourcesUpdateComponent,
-    SourcesRegisterLiteratureComponent
+    SRLiteratureComponent
   ]
 })
 
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources.routing.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources.routing.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources.routing.ts	(revision 50139)
@@ -1,11 +1,15 @@
-import {RouterModule, Routes} from '@angular/router';
-import {NgModule} from '@angular/core';
-import {SourcesComponent} from './sources.component';
-import {SourcesRegisterComponent} from './sources-register.component';
-import {SourcesUpdateComponent} from "./sources-update.component";
-import {AuthGuardService} from '../../services/auth-guard.service';
-import {SourcesRegisterLiteratureComponent} from './sources-register/sources-register-literature.component';
+/*
+*  created by myrto
+*/
 
+import { RouterModule, Routes } from '@angular/router';
+import { NgModule } from '@angular/core';
+import { SourcesComponent } from './sources.component';
+import { SourcesRegisterComponent } from './sources-register.component';
+import { SourcesUpdateComponent } from './sources-update.component';
+import { AuthGuardService } from '../../services/auth-guard.service';
+import { SRLiteratureComponent } from './sources-register/sr-literature.component';
+
 const sourcesRoutes: Routes = [
   {
     path: 'sources',
@@ -19,13 +23,19 @@
       },
       {
         path: 'register',
-        component: SourcesRegisterComponent,
+        children: [
+          {
+            path: '',
+            component: SourcesRegisterComponent,
+            pathMatch: 'full'
+          },
+          {
+            path: 'literature',
+            component: SRLiteratureComponent
+          },
+        ]
       },
       {
-        path: 'register/literature',
-        component: SourcesRegisterLiteratureComponent
-      },
-      {
         path: 'update',
         component: SourcesUpdateComponent
       }
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.routing.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.routing.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.routing.ts	(revision 50139)
@@ -11,7 +11,7 @@
 const metricsRoutes: Routes = [
   {
     path: 'metrics',
-    canActivate: [AuthGuardService],
+//    canActivate: [AuthGuardService],
     children: [
       {
         path: '',
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.component.html	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.component.html	(revision 50139)
@@ -32,7 +32,7 @@
                 </div>
               </div>
               <div>
-                <div class="uk-grid-large uk-grid-margin-large uk-grid repos-grid">
+              <div class="uk-grid-large uk-grid-margin-large uk-grid repos-grid">
 <!--
                   <div class="uk-width-expand@m uk-first-column">
                     <div class="uk-margin uk-grid-match uk-child-width-1-1 uk-grid-small uk-grid-divider uk-grid uk-scrollspy-inview uk-animation-slide-top-medium uk-grid-stack">
@@ -77,27 +77,30 @@
                     </div>
                   </div>
 -->
-                    <div class="uk-width-expand@m uk-first-column">
-                      <div class="uk-margin uk-grid-match uk-child-width-1-1 uk-grid-small uk-grid-divider uk-grid uk-scrollspy-inview uk-animation-slide-top-medium uk-grid-stack">
-                        <div class="uk-first-column">
-                          <div *ngFor="let repo of reposOfUser">
-                            <div class="el-item uk-panel uk-scrollspy-inview uk-animation-slide-top-medium" data-uk-scrollspy="" style="" >
-                              <div class="uk-child-width-expand uk-grid-medium uk-flex-middle uk-grid" uk-grid="">
-                                <div class="uk-width-1-3@m uk-first-column">
-                                  <a class="el-link" [routerLink]="['enable']">
-                                    <img class="el-image uk-border-rounded" src="/assets/imgs/yourLogoHere.jpg" alt="">
-                                  </a>
-                                </div>
-                                <div>
-                                  <h3 class="el-title uk-margin uk-h5 uk-margin-remove-adjacent uk-margin-small-bottom">{{ repo.officialName }}</h3>
-                                  <div class="uk-badge uk-badge-danger">not enabled</div>
-                                </div>
+                  <div class="uk-width-expand@m uk-first-column">
+                    <div class="uk-margin uk-grid-match uk-child-width-1-1 uk-grid-small uk-grid-divider uk-grid uk-scrollspy-inview uk-animation-slide-top-medium uk-grid-stack" *ngFor="let repo of repos">
+                      <div class="uk-first-column">
+                        <div>
+                          <div class="el-item uk-panel uk-scrollspy-inview uk-animation-slide-top-medium" data-uk-scrollspy="">
+                            <div class="uk-child-width-expand uk-grid-medium uk-flex-middle uk-grid" uk-grid="">
+                              <div class="uk-width-1-3@m uk-first-column">
+                                <a class="el-link" [routerLink]="['enable']">
+                                  <img class="el-image uk-border-rounded" src="/assets/imgs/yourLogoHere.jpg" alt="">
+                                </a>
                               </div>
+                              <div>
+                                <h3 class="el-title uk-margin uk-h5 uk-margin-remove-adjacent uk-margin-small-bottom">{{ repo }}</h3>
+                                <div class="uk-badge uk-badge-danger" *ngIf="repo == 'NULL'">not enabled</div>
+                                <div class="uk-badge uk-badge-warning" *ngIf="repo == 'false'">enabling in progress</div>
+                                <div class="uk-badge uk-badge-success" *ngIf="repo == 'true'">enabled</div>
+                              </div>
                             </div>
                           </div>
                         </div>
                       </div>
                     </div>
+                  </div>
+
                 </div>
               </div>
             </div>
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.component.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics.component.ts	(revision 50139)
@@ -10,12 +10,22 @@
 
 export class MetricsComponent implements OnInit {
   reposOfUser: Repository[] = [];
+  repos: string[] = [];
 
   constructor(private repoService: RepositoryService, private authService: AuthenticationService) {}
 
   ngOnInit() {
-    this.getReposOfUser();
-    if(this.reposOfUser) {
+    this.repos = [
+      'NULL',
+      'true',
+      'false',
+      'true',
+      'NULL',
+      'true',
+      'true',
+    ];
+//    this.getReposOfUser();
+    if(this.reposOfUser.length) {
       console.log(`counted ${this.reposOfUser.length} repositories`);
     } else {
       console.log('no repos pulled');
Index: modules/uoa-repository-dashboard-gui/trunk/app/services/repository.service.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/services/repository.service.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/services/repository.service.ts	(revision 50139)
@@ -7,14 +7,13 @@
 */
 
 import { Injectable } from '@angular/core';
-import { HttpClient, HttpHeaders } from '@angular/common/http';
+import { HttpHeaders } from '@angular/common/http';
 
 import { Observable } from 'rxjs/Observable';
 
-import {PiwikInfo, Repository} from '../domain/typeScriptClasses';
-import {of} from "rxjs/observable/of";
+import { Country, PiwikInfo, Repository } from '../domain/typeScriptClasses';
 import 'rxjs/add/operator/map';
-import {Http, Response} from '@angular/http';
+import { Http, Response } from '@angular/http';
 
 const httpOptions = {
   headers: new HttpHeaders().set('Content-Type', 'application/json')
@@ -27,6 +26,14 @@
 
   constructor(private http: Http) { }
 
+  getRepositoriesOfCountry (country: string, mode: string): Observable<Repository[]> {
+    let url = `${this.apiUrl}/repository/getRepositoriesByCountry/${country}/${mode}`;
+    console.log(`knocking on: ${url}`);
+    return this.http.get(url)
+      .map( res => <Repository[]>res.json())
+      .catch(this.handleError);
+  }
+
   getRepositoriesOfUser (userEmail: string): Observable<Repository[]> {
     let url = `${this.apiUrl}/repository/getRepositoriesOfUser/${userEmail}/0/10`;
     console.log(`knocking on: ${url}`);
@@ -35,6 +42,14 @@
       .catch(this.handleError);
   }
 
+  getCountries (): Observable<Country[]> {
+    let url = `${this.apiUrl}/repository/getCountries`;
+    console.log(`knocking on: ${url}`);
+    return this.http.get(url)
+      .map( res => <Country[]>res.json())
+      .catch(this.handleError);
+  }
+
   private handleError(error: Response | any) {
     // In a real world app, we might use a remote logging infrastructure
     // We'd also dig deeper into the error to get a better message
Index: modules/uoa-repository-dashboard-gui/trunk/app/shared/topmenu/topmenu.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/shared/topmenu/topmenu.component.html	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/shared/topmenu/topmenu.component.html	(revision 50139)
@@ -192,9 +192,9 @@
                   <!-- Panel top -->
                   <div *ngIf="isLoggedIn" class="btl-panel" style="float: right;">
                     <!-- User Name -->
-                    <span style="color: rgb(255, 255, 255); border: medium none rgb(255, 255, 255);" id="btl-panel-loggedin"
-                          class="loginLink">
-                                  {{authService.userName}}   </span>
+                    <span style="color: rgb(255, 255, 255); border: medium none rgb(255, 255, 255);" id="btl-panel-loggedin">
+                      <a class="loginLink" disabled="true">{{authService.userName}}   </a>
+                    </span>
                     |
                     <!-- Logout button -->
                     <span style="color: rgb(255, 255, 255); border: medium none rgb(255, 255, 255);" class="btl-dropdown">
Index: modules/uoa-repository-dashboard-gui/trunk/app/domain/typeScriptClasses.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/domain/typeScriptClasses.ts	(revision 50138)
+++ modules/uoa-repository-dashboard-gui/trunk/app/domain/typeScriptClasses.ts	(revision 50139)
@@ -281,3 +281,10 @@
 export type Action = "CREATE" | "DELETE" | "UPDATE" | "MANAGE" | "RELEASE" | "CANCEL";
 
 export type ActionStatus = "DONE" | "ONGOING" | "FAILED" | "WAITING" | "ASSIGNED";
+
+
+/*ADDITIONAL CLASSES -- added by myrto --*/
+export class Country {
+  name: string;
+  code: string;
+}