Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/claim/collection.wf.st
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/claim/collection.wf.st	(revision 50263)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/claim/collection.wf.st	(revision 50264)
@@ -42,7 +42,7 @@
 		<PARAM required="false" type="boolean" name="inferred" managedBy="system">false</PARAM>
 		<PARAM required="false" type="boolean" name="deletedbyinference" managedBy="system">false</PARAM>
 		<PARAM required="false" type="string" name="inferenceprovenance" managedBy="system"></PARAM>
-		<PARAM required="false" type="string" name="trust" managedBy="system">0.9</PARAM>
+		<PARAM required="false" type="string" name="trust" managedBy="user">0.9</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassname" managedBy="system">user:claim</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassid" managedBy="system">user:claim</PARAM>
 	</PARAMETERS>
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/dataRepository/collection.wf.st
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/dataRepository/collection.wf.st	(revision 50263)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/dataRepository/collection.wf.st	(revision 50264)
@@ -53,7 +53,7 @@
 		<PARAM required="false" type="boolean" name="inferred" managedBy="system">false</PARAM>
 		<PARAM required="false" type="boolean" name="deletedbyinference" managedBy="system">false</PARAM>
 		<PARAM required="false" type="string" name="inferenceprovenance" managedBy="system"></PARAM>
-		<PARAM required="false" type="string" name="trust" managedBy="system">0.9</PARAM>
+		<PARAM required="false" type="string" name="trust" managedBy="user">0.9</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassname" managedBy="system">sysimport:crosswalk:datasetarchive</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassid" managedBy="system">sysimport:crosswalk:datasetarchive</PARAM>
 	</PARAMETERS>
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/pubsRepository/collection.wf.st
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/pubsRepository/collection.wf.st	(revision 50263)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/pubsRepository/collection.wf.st	(revision 50264)
@@ -53,7 +53,7 @@
 		<PARAM required="false" type="boolean" name="inferred" managedBy="system">false</PARAM>
 		<PARAM required="false" type="boolean" name="deletedbyinference" managedBy="system">false</PARAM>
 		<PARAM required="false" type="string" name="inferenceprovenance" managedBy="system"></PARAM>
-		<PARAM required="false" type="string" name="trust" managedBy="system">0.9</PARAM>
+		<PARAM required="false" type="string" name="trust" managedBy="user">0.9</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassname" managedBy="system">sysimport:crosswalk:repository</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassid" managedBy="system">sysimport:crosswalk:repository</PARAM>
 	</PARAMETERS>
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/aggregatorPubsRepository/collection.wf.st
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/aggregatorPubsRepository/collection.wf.st	(revision 50263)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/aggregatorPubsRepository/collection.wf.st	(revision 50264)
@@ -53,7 +53,7 @@
 		<PARAM required="false" type="boolean" name="inferred" managedBy="system">false</PARAM>
 		<PARAM required="false" type="boolean" name="deletedbyinference" managedBy="system">false</PARAM>
 		<PARAM required="false" type="string" name="inferenceprovenance" managedBy="system"></PARAM>
-		<PARAM required="false" type="string" name="trust" managedBy="system">0.9</PARAM>
+		<PARAM required="false" type="string" name="trust" managedBy="user">0.9</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassname" managedBy="system">sysimport:crosswalk:repository</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassid" managedBy="system">sysimport:crosswalk:repository</PARAM>
 	</PARAMETERS>
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/aggregatorDataRepository/collection.wf.st
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/aggregatorDataRepository/collection.wf.st	(revision 50263)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/aggregatorDataRepository/collection.wf.st	(revision 50264)
@@ -53,7 +53,7 @@
 		<PARAM required="false" type="boolean" name="inferred" managedBy="system">false</PARAM>
 		<PARAM required="false" type="boolean" name="deletedbyinference" managedBy="system">false</PARAM>
 		<PARAM required="false" type="string" name="inferenceprovenance" managedBy="system"></PARAM>
-		<PARAM required="false" type="string" name="trust" managedBy="system">0.9</PARAM>
+		<PARAM required="false" type="string" name="trust" managedBy="user">0.9</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassname" managedBy="system">sysimport:crosswalk:datasetarchive</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassid" managedBy="system">sysimport:crosswalk:datasetarchive</PARAM>
 	</PARAMETERS>
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/datacite/collection.wf.st
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/datacite/collection.wf.st	(revision 50263)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/msro/openaireplus/workflows/repo-hi/datacite/collection.wf.st	(revision 50264)
@@ -53,7 +53,7 @@
 		<PARAM required="false" type="boolean" name="inferred" managedBy="system">false</PARAM>
 		<PARAM required="false" type="boolean" name="deletedbyinference" managedBy="system">false</PARAM>
 		<PARAM required="false" type="string" name="inferenceprovenance" managedBy="system"></PARAM>
-		<PARAM required="false" type="string" name="trust" managedBy="system">0.9</PARAM>
+		<PARAM required="false" type="string" name="trust" managedBy="user">0.9</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassname" managedBy="system">sysimport:crosswalk:datasetarchive</PARAM>
 		<PARAM required="false" type="string" name="provenanceactionclassid" managedBy="system">sysimport:crosswalk:datasetarchive</PARAM>
 	</PARAMETERS>