Index: modules/dnet-claims-service/branches/redis/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- modules/dnet-claims-service/branches/redis/src/main/webapp/WEB-INF/applicationContext.xml	(revision 50504)
+++ modules/dnet-claims-service/branches/redis/src/main/webapp/WEB-INF/applicationContext.xml	(revision 50505)
@@ -1,108 +1,106 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	   xmlns:context="http://www.springframework.org/schema/context"
-	   xmlns="http://www.springframework.org/schema/beans"
-	   xmlns:security="http://www.springframework.org/schema/security"
-	   xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
+       xmlns:context="http://www.springframework.org/schema/context"
+       xmlns="http://www.springframework.org/schema/beans"
+       xmlns:security="http://www.springframework.org/schema/security"
+       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
 	http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.0.xsd
 	http://www.springframework.org/schema/security http://www.springframework.org/schema/security/spring-security-3.2.xsd">
 
-	<import resource="classpath:META-INF/cxf/cxf.xml" />
-<!-- 	<import resource="classpath:META-INF/cxf/cxf-extension-soap.xml" /> -->
-<!-- 	<import resource="classpath:META-INF/cxf/cxf-extension-jaxws.xml" /> -->
-<!-- 	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" /> -->
+    <import resource="classpath:META-INF/cxf/cxf.xml"/>
+    <!-- 	<import resource="classpath:META-INF/cxf/cxf-extension-soap.xml" /> -->
+    <!-- 	<import resource="classpath:META-INF/cxf/cxf-extension-jaxws.xml" /> -->
+    <!-- 	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" /> -->
 
-	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-commons.xml" />
-	<import resource="classpath*:/gr/uoa/di/driver/util/springContext-locators.xml" />
-	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-registrator.xml" />
-	<import resource="classpath*:/eu/dnetlib/clients/ws/springContext-locatorFactory.xml" />
-	<import resource="classpath*:/eu/dnetlib/soap/cxf/applicationContext-eprbuilders.xml"/>
-	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-lookupFactory.xml" />
-	<import resource="classpath*:/gr/uoa/di/driver/app/springContext-lookupClients.xml" />
-	<import resource="classpath*:/eu/dnetlib/enabling/hcm/springContext-hcmService.xml" />
-	<import resource="classpath*:/eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml"/>
-	<import resource="classpath*:/eu/dnetlib/openaire/rest/springContext-claims-authorization.xml"/>
-	<!--
-	<import resource="classpath*:/eu/dnetlib/openaire/thrift/springContext-openaire-thrift.xml" /> -->
+    <import resource="classpath*:/gr/uoa/di/driver/app/springContext-commons.xml"/>
+    <import resource="classpath*:/gr/uoa/di/driver/util/springContext-locators.xml"/>
+    <import resource="classpath*:/gr/uoa/di/driver/app/springContext-registrator.xml"/>
+    <import resource="classpath*:/eu/dnetlib/clients/ws/springContext-locatorFactory.xml"/>
+    <import resource="classpath*:/eu/dnetlib/soap/cxf/applicationContext-eprbuilders.xml"/>
+    <import resource="classpath*:/gr/uoa/di/driver/app/springContext-lookupFactory.xml"/>
+    <import resource="classpath*:/gr/uoa/di/driver/app/springContext-lookupClients.xml"/>
+    <import resource="classpath*:/eu/dnetlib/enabling/hcm/springContext-hcmService.xml"/>
+    <import resource="classpath*:/eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml"/>
+    <import resource="classpath*:/eu/dnetlib/openaire/rest/springContext-claims-authorization.xml"/>
+    <!--
+    <import resource="classpath*:/eu/dnetlib/openaire/thrift/springContext-openaire-thrift.xml" /> -->
+    <bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer" id="propertySourcesPlaceholderConfigurer">
+        <property name="order" value="2"/>
+        <property name="ignoreUnresolvablePlaceholders" value="true"/>
+        <property name="properties">
+            <bean class="eu.dnetlib.conf.WebappContextProperyFactory">
+                <property name="propertyFetcher">
+                    <bean class="eu.dnetlib.conf.PropertyFetcher"/>
+                </property>
+            </bean>
+        </property>
+        <property name="locations">
+            <list>
+                <value>classpath*:/eu/**/applicationContext*.properties</value>
+                <value>classpath*:/eu/dnetlib/applicationContext-defaultProperties.properties</value>
+                <value>classpath*:/gr/**/springContext-commons.properties</value>
+                <value>classpath*:/gr/**/springContext-registrator.properties</value>
+                <value>classpath*:/gr/**/springContext-locators.properties</value>
 
-	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
-		<property name="order" value="2" />
-		<property name="ignoreUnresolvablePlaceholders" value="true" />
-		<property name="properties">
-			<bean class="eu.dnetlib.conf.WebappContextProperyFactory">
-				<property name="propertyFetcher">
-					<bean class="eu.dnetlib.conf.PropertyFetcher" />
-				</property>
-			</bean>
-		</property>
-		<property name="locations">
-						<list>
-							<value>classpath*:/eu/**/applicationContext*.properties</value>
-							<value>classpath*:/eu/dnetlib/applicationContext-defaultProperties.properties</value>
-							<value>classpath*:/gr/**/springContext-commons.properties</value>
-								<value>classpath*:/gr/**/springContext-registrator.properties</value>
-								<value>classpath*:/gr/**/springContext-locators.properties</value>
+                <value>classpath*:/eu/dnetlib/data/claims/migration/springContext-claimsDemo.properties</value>
+                <value>classpath*:/eu/dnetlib/openaire/rest/springContext-claims-authorization.properties</value>
+                <value>classpath*:/gr/uoa/di/driver/app/springContext-lookupFactory.properties</value>
+                <value>classpath*:/eu/dnetlib/enabling/hcm/springContext-hcmService.properties</value>
 
-								<value>classpath*:/eu/dnetlib/data/claims/migration/springContext-claimsDemo.properties</value>
-								<value>classpath*:/eu/dnetlib/openaire/rest/springContext-claims-authorization.properties</value>
-								<value>classpath*:/gr/uoa/di/driver/app/springContext-lookupFactory.properties</value>
-								<value>classpath*:/eu/dnetlib/enabling/hcm/springContext-hcmService.properties</value>
+                <value>classpath*:/eu/dnetlib/openaire/applicationContext-openaire.properties</value>
+                <value>classpath*:/eu/dnetlib/openaire/thrift/springContext-openaire-thrift.properties</value>
 
-								<value>classpath*:/eu/dnetlib/openaire/applicationContext-openaire.properties</value>
-								<value>classpath*:/eu/dnetlib/openaire/thrift/springContext-openaire-thrift.properties</value>
 
+                <value>classpath*:dnet-site-override.properties</value>
+                <value>classpath*:dnet-dnet-openaire-connector-wizard.properties</value>
+                <value>classpath*:dnet-dnet-openaire-connector-override.properties</value>
 
-								<value>classpath*:dnet-site-override.properties</value>
-								<value>classpath*:dnet-dnet-openaire-connector-wizard.properties</value>
-								<value>classpath*:dnet-dnet-openaire-connector-override.properties</value>
+                <value>classpath*:/uoa-override.properties</value>
+                <value>classpath*:/dnet-override.properties</value>
 
-								<value>classpath*:/uoa-override.properties</value>
-								<value>classpath*:/dnet-override.properties</value>
+                <value>classpath*:dnet-force-override.properties</value>
 
-								<value>classpath*:dnet-force-override.properties</value>
+            </list>
+        </property>
+    </bean>
 
-						</list>
-				</property>
-			</bean>
+    <context:annotation-config/>
+    <context:component-scan base-package="eu.dnetlib.openaire.rest"/>
 
-	<context:annotation-config />
-	<context:component-scan base-package="eu.dnetlib.openaire.rest"/>
-	<bean class="org.springframework.session.data.redis.config.annotation.web.http.RedisHttpSessionConfiguration"/>
+    <bean class="org.springframework.session.data.redis.config.annotation.web.http.RedisHttpSessionConfiguration"/>
+    <bean class="org.springframework.data.redis.connection.lettuce.LettuceConnectionFactory">
+        <constructor-arg value="83.212.101.85"/>
+        <constructor-arg value="6379"/>
+        <!--<property name="password" value="${redis.password:#{null}}"/>-->
+    </bean>
 
+    <bean class="org.springframework.session.web.http.DefaultCookieSerializer">
+        <property name="cookieName" value="SESSION"/>
+        <property name="cookiePath" value="/"/>
+    </bean>
 
-	<bean class="org.springframework.data.redis.connection.lettuce.LettuceConnectionFactory">
-		<constructor-arg value="127.0.0.1" />
-		<constructor-arg value="6379" />
-		<!--<property name="password" value="${redis.password:#{null}}"/>-->
-	</bean>
+    <!-- Enable SPEL annotation-->
+    <security:global-method-security pre-post-annotations="enabled" proxy-target-class="true"
+                                     authentication-manager-ref="authenticationManager"/>
 
-	<bean class="org.springframework.session.web.http.DefaultCookieSerializer">
-		<property name="cookieName" value="SESSION"/>
-		<property name="cookiePath" value="/"/>
-	</bean>
+    <security:http auto-config="false" use-expressions="true"
+                   disable-url-rewriting="true" entry-point-ref="authenticationEntryPoint"
+                   pattern="/**">
+    </security:http>
 
-	<!-- Enable SPEL annotation-->
-	<security:global-method-security pre-post-annotations="enabled" proxy-target-class="true"
-									 authentication-manager-ref="authenticationManager"/>
+    <!--Disable authentication from this service-->
+    <bean id="authenticationEntryPoint"
+          class="org.springframework.security.web.authentication.Http403ForbiddenEntryPoint"/>
+    <security:authentication-manager alias="authenticationManager"/>
 
-	<security:http auto-config="false" use-expressions="true"
-				   disable-url-rewriting="true" entry-point-ref="authenticationEntryPoint"
-				   pattern="/**">
-	</security:http>
+    <!--
+        <context:component-scan base-package="eu.dnetlib.api.enabling"/>
+    -->
 
-	<!--Disable authentication from this service-->
-	<bean id="authenticationEntryPoint"
-		  class="org.springframework.security.web.authentication.Http403ForbiddenEntryPoint"/>
-	<security:authentication-manager alias="authenticationManager"/>
+    <!-- if the following import is not the last one, something overrides bus
+        configuration disabling logging and any other customized feature. -->
 
-<!--
-	<context:component-scan base-package="eu.dnetlib.api.enabling"/>
--->
+    <import resource="./cxf.xml"/>
 
-	<!-- if the following import is not the last one, something overrides bus
-		configuration disabling logging and any other customized feature. -->
-
-	<import resource="./cxf.xml" />
-
 </beans>
Index: modules/dnet-claims-service/branches/redis/src/main/webapp/WEB-INF/web.xml
===================================================================
--- modules/dnet-claims-service/branches/redis/src/main/webapp/WEB-INF/web.xml	(revision 50504)
+++ modules/dnet-claims-service/branches/redis/src/main/webapp/WEB-INF/web.xml	(revision 50505)
@@ -1,13 +1,11 @@
-<!DOCTYPE web-app PUBLIC
- "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
- "http://java.sun.com/dtd/web-app_2_3.dtd" >
+<?xml version="1.0" encoding="UTF-8"?>
 <web-app>
-	<display-name>DNet-2.0 container web app</display-name>
-	<context-param>
-		<param-name>contextConfigLocation</param-name>
-		<param-value>/WEB-INF/applicationContext.xml</param-value>
-	</context-param>
+    <display-name>DNet-2.0 container web app</display-name>
     <context-param>
+        <param-name>contextConfigLocation</param-name>
+        <param-value>/WEB-INF/applicationContext.xml</param-value>
+    </context-param>
+    <context-param>
         <param-name>log4jConfigLocation</param-name>
         <param-value>/WEB-INF/log4j.properties</param-value>
     </context-param>
@@ -14,86 +12,88 @@
     <listener>
         <listener-class>org.springframework.web.util.Log4jConfigListener</listener-class>
     </listener>
-	<listener>
-		<listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
-	</listener>
-	<listener>
-		<listener-class>eu.dnetlib.data.emailSender.EmailScheduler</listener-class>
-	</listener>
+    <listener>
+        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
+    </listener>
+    <listener>
+        <listener-class>eu.dnetlib.data.emailSender.EmailScheduler</listener-class>
+    </listener>
 
 
+    <servlet>
+        <servlet-name>jersey-serlvet</servlet-name>
+        <!--<servlet-class>com.sun.jersey.spi.container.servlet.ServletContainer</servlet-class>-->
+        <servlet-class>com.sun.jersey.spi.spring.container.servlet.SpringServlet</servlet-class>
+        <init-param>
+            <!--<param-name>com.sun.jersey.config.property.packages</param-name>-->
+            <param-name>com.sun.jersey.config.property.packages</param-name>
+            <param-value>eu.dnetlib.openaire.rest</param-value>
+        </init-param>
+        <load-on-startup>1</load-on-startup>
+    </servlet>
 
-	<servlet>
-		<servlet-name>jersey-serlvet</servlet-name>
-		<!--<servlet-class>com.sun.jersey.spi.container.servlet.ServletContainer</servlet-class>-->
-		<servlet-class>com.sun.jersey.spi.spring.container.servlet.SpringServlet</servlet-class>
-		<init-param>
-			<!--<param-name>com.sun.jersey.config.property.packages</param-name>-->
-			<param-name>com.sun.jersey.config.property.packages</param-name>
-			<param-value>eu.dnetlib.openaire.rest</param-value>
-		</init-param>
-		<load-on-startup>1</load-on-startup>
-	</servlet>
+    <servlet-mapping>
+        <servlet-name>jersey-serlvet</servlet-name>
+        <url-pattern>/rest/*</url-pattern>
+    </servlet-mapping>
 
-	<servlet-mapping>
-		<servlet-name>jersey-serlvet</servlet-name>
-		<url-pattern>/rest/*</url-pattern>
-	</servlet-mapping>
+    <filter>
+        <filter-name>CorsFilter</filter-name>
+        <filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
+        <init-param>
+            <param-name>cors.allowed.origins</param-name>
+            <param-value>*</param-value>
+        </init-param>
+        <init-param>
+            <param-name>cors.allowed.methods</param-name>
+            <param-value>GET,POST,HEAD,OPTIONS,DELETE</param-value>
+        </init-param>
+        <init-param>
+            <param-name>cors.exposed.headers</param-name>
+            <param-value>Access-Control-Allow-Origin,Access-Control-Allow-Credentials,Access-Control-Allow-Methods
+            </param-value>
+        </init-param>
+        <init-param>
+            <param-name>cors.support.credentials</param-name>
+            <param-value>true</param-value>
+        </init-param>
+        <init-param>
+            <param-name>cors.allowed.headers</param-name>
+            <param-value>
+                Content-Type,X-Requested-With,accept,Origin,Access-Control-Request-Method,Access-Control-Request-Headers,X-XSRF-TOKEN,withcredentials
+            </param-value>
+        </init-param>
+    </filter>
+    <filter-mapping>
+        <filter-name>CorsFilter</filter-name>
+        <url-pattern>/*</url-pattern>
+    </filter-mapping>
 
-	<filter>
-		<filter-name>CorsFilter</filter-name>
-		<filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
-		<init-param>
-			<param-name>cors.allowed.origins</param-name>
-			<param-value>*</param-value>
-		</init-param>
-		<init-param>
-			<param-name>cors.allowed.methods</param-name>
-			<param-value>GET,POST,HEAD,OPTIONS,DELETE</param-value>
-		</init-param>
-		<init-param>
-			<param-name>cors.exposed.headers</param-name>
-			<param-value>Access-Control-Allow-Origin,Access-Control-Allow-Credentials,Access-Control-Allow-Methods</param-value>
-		</init-param>
-		<init-param>
-			<param-name>cors.support.credentials</param-name>
-			<param-value>true</param-value>
-		</init-param>
-		<init-param>
-			<param-name>cors.allowed.headers</param-name>
-			<param-value>Content-Type,X-Requested-With,accept,Origin,Access-Control-Request-Method,Access-Control-Request-Headers,X-XSRF-TOKEN,withcredentials</param-value>
-		</init-param>
-	</filter>
-	<filter-mapping>
-		<filter-name>CorsFilter</filter-name>
-		<url-pattern>/*</url-pattern>
-	</filter-mapping>
+    <filter>
+        <filter-name>springSessionRepositoryFilter</filter-name>
+        <filter-class>org.springframework.web.filter.DelegatingFilterProxy</filter-class>
+    </filter>
 
-	<filter>
-		<filter-name>springSessionRepositoryFilter</filter-name>
-		<filter-class>org.springframework.web.filter.DelegatingFilterProxy</filter-class>
-	</filter>
+    <filter-mapping>
+        <filter-name>springSessionRepositoryFilter</filter-name>
+        <url-pattern>/*</url-pattern>
+        <dispatcher>REQUEST</dispatcher>
+        <dispatcher>ERROR</dispatcher>
+    </filter-mapping>
 
-	<filter-mapping>
-		<filter-name>springSessionRepositoryFilter</filter-name>
-		<url-pattern>/*</url-pattern>
-		<dispatcher>REQUEST</dispatcher>
-		<dispatcher>ERROR</dispatcher>
-	</filter-mapping>
+    <filter>
+        <filter-name>springSecurityFilterChain</filter-name>
+        <filter-class>org.springframework.web.filter.DelegatingFilterProxy</filter-class>
+        <init-param>
+            <param-name>contextAttribute</param-name>
+            <param-value>org.springframework.web.servlet.FrameworkServlet.CONTEXT.springrest</param-value>
+        </init-param>
+    </filter>
 
-	<filter>
-		<filter-name>springSecurityFilterChain</filter-name>
-		<filter-class>org.springframework.web.filter.DelegatingFilterProxy</filter-class>
-		<init-param>
-			<param-name>contextAttribute</param-name>
-			<param-value>org.springframework.web.servlet.FrameworkServlet.CONTEXT.springrest</param-value>
-		</init-param>
-	</filter>
+    <filter-mapping>
+        <filter-name>springSecurityFilterChain</filter-name>
+        <url-pattern>/*</url-pattern>
+    </filter-mapping>
 
-	<filter-mapping>
-		<filter-name>springSecurityFilterChain</filter-name>
-		<url-pattern>/*</url-pattern>
-	</filter-mapping>
 
-
 </web-app>
Index: modules/dnet-claims-service/branches/redis/pom.xml
===================================================================
--- modules/dnet-claims-service/branches/redis/pom.xml	(revision 50504)
+++ modules/dnet-claims-service/branches/redis/pom.xml	(revision 50505)
@@ -51,7 +51,6 @@
 			<groupId>org.springframework.session</groupId>
 			<artifactId>spring-session-data-redis</artifactId>
 			<version>1.3.1.RELEASE</version>
-			<type>pom</type>
 		</dependency>
 		<dependency>
 			<groupId>biz.paluch.redis</groupId>
@@ -58,6 +57,5 @@
 			<artifactId>lettuce</artifactId>
 			<version>3.5.0.Final</version>
 		</dependency>
-
-	</dependencies>
+    </dependencies>
 </project>